---
updatedAt: 2026-05-27T18:08:33.000Z
agentTools:
  projectIndex: https://developer.ironcladapp.com/llms.txt
---

# Create a Workflow Synchronously

Launch a new Workflow synchronously. 

**OAuth Scope required:** `public.workflows.createWorkflows`

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Ironclad Public API",
    "description": "Documentation for Ironclad's REST API.\n\n## Pagination\n\nList endpoints (for example `/obligations`, `/records`, `/entities`, and `/workflows`) return results one page at a time. Request pages with the `page` (zero-based) and `pageSize` query parameters; see the `pageSize` parameter on each endpoint for its default and maximum. Each response echoes `page` and `pageSize` and includes `count` (the total number of items matching the query across ALL pages) and `list` (the items on the current page). When `count` is greater than the number of items you have retrieved so far, request the next page by incrementing `page` until you have collected everything you need.",
    "contact": {
      "name": "Ironclad Support",
      "email": "support@ironcladapp.com"
    },
    "version": "1"
  },
  "servers": [
    {
      "url": "https://ironcladapp.com/public/api/v1",
      "description": "Production server"
    },
    {
      "url": "https://eu1.ironcladapp.com/public/api/v1",
      "description": "EU Production server"
    },
    {
      "url": "https://demo.ironcladapp.com/public/api/v1",
      "description": "Demo server"
    }
  ],
  "paths": {
    "/workflows": {
      "post": {
        "summary": "Create a Workflow Synchronously",
        "description": "Launch a new Workflow synchronously. \n\n**OAuth Scope required:** `public.workflows.createWorkflows`",
        "operationId": "launch-a-new-workflow",
        "parameters": [
          {
            "$ref": "#/components/parameters/XAsUserEmail"
          },
          {
            "$ref": "#/components/parameters/XAsUserId"
          },
          {
            "$ref": "#/components/parameters/UseDefaultValuesOnLaunch"
          }
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/WorkflowLaunch"
        },
        "security": [
          {
            "sec0": [],
            "OAuth2": [
              "public.workflows.createWorkflows"
            ]
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/WorkflowLaunchResponse200"
          },
          "400": {
            "$ref": "#/components/responses/WorkflowLaunchResponse400"
          },
          "409": {
            "$ref": "#/components/responses/WorkflowLaunchResponse409"
          }
        },
        "tags": [
          "Workflows"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "LaunchedWorkflow": {
        "title": "Launched Workflow",
        "description": "The response from a successful workflow launch.",
        "type": "object",
        "required": [
          "id",
          "title",
          "template",
          "step",
          "attributes",
          "schema",
          "isCancelled",
          "isComplete",
          "status",
          "created",
          "lastUpdated",
          "roles",
          "approvals",
          "signatures",
          "isRevertibleToReview"
        ],
        "properties": {
          "id": {
            "type": "string",
            "example": "6013609108b8f070cee94fc1",
            "description": "The ID of the launched workflow.",
            "readOnly": true
          },
          "ironcladId": {
            "type": "string",
            "example": "IC-1",
            "description": "The Ironclad ID of the launched workflow.",
            "readOnly": true
          },
          "title": {
            "type": "string",
            "example": "Consulting Agreement with Jane Doe",
            "description": "The name used for the launched workflow.",
            "readOnly": true
          },
          "template": {
            "$ref": "#/components/schemas/WorkflowTemplateIdModel"
          },
          "step": {
            "type": "string",
            "example": "Review",
            "description": "The step the workflow is currently on.",
            "enum": [
              "Review",
              "Sign",
              "Archive",
              "Complete"
            ],
            "readOnly": true
          },
          "attributes": {
            "description": "The workflow attributes (also known as properties). Attributes of type linkedRecord, parentRecord, or childRecord are returned as objects with recordId and readableId.",
            "type": "object",
            "additionalProperties": true
          },
          "schema": {
            "$ref": "#/components/schemas/AttributesModel"
          },
          "isCancelled": {
            "type": "boolean",
            "example": false,
            "description": "Displays if the launched workflow has been cancelled.",
            "readOnly": true,
            "deprecated": true
          },
          "isComplete": {
            "type": "boolean",
            "example": false,
            "description": "Displays if the launched workflow has been completed.",
            "readOnly": true,
            "deprecated": true
          },
          "status": {
            "type": "string",
            "example": "active",
            "description": "The current status of the launched workflow.",
            "enum": [
              "active",
              "paused",
              "cancelled",
              "completed"
            ],
            "readOnly": true
          },
          "creator": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "example": "63d415e0dd0d828c3a878548",
                "description": "",
                "readOnly": true
              },
              "email": {
                "type": "string",
                "example": "fett@intergalactic.com",
                "description": "",
                "readOnly": true
              },
              "displayName": {
                "type": "string",
                "example": "Boba Fett",
                "description": "",
                "readOnly": true
              }
            },
            "description": "",
            "readOnly": true,
            "title": ""
          },
          "created": {
            "type": "string",
            "example": "2016-11-17T00:37:22.318Z",
            "description": "The date (ISO8601 format) the workflow was launched",
            "readOnly": true
          },
          "lastUpdated": {
            "type": "string",
            "example": "2016-11-17T00:37:42.318Z",
            "description": "The date (ISO8601 format) the workflow was last updated",
            "readOnly": true
          },
          "roles": {
            "type": "array",
            "readOnly": true,
            "items": {
              "$ref": "#/components/schemas/WorkflowRoleModel"
            }
          },
          "approvals": {
            "type": "object",
            "properties": {
              "state": {
                "type": "string",
                "example": "in_progress",
                "description": "The state of the approvals.",
                "enum": [
                  "not_started",
                  "in_progress",
                  "completed",
                  "not_applicable"
                ],
                "readOnly": true
              }
            }
          },
          "signatures": {
            "type": "object",
            "properties": {
              "state": {
                "type": "string",
                "example": "in_progress",
                "description": "The state of the signatures.",
                "enum": [
                  "not_started",
                  "in_progress",
                  "complete",
                  "not_applicable"
                ],
                "readOnly": true
              },
              "url": {
                "type": "string",
                "example": "https://ironcladapp.com/public/api/v1/workflows/6dac47a10b1242d1f7df688d/signatures",
                "description": "The url where signature information is located if it exists.",
                "readOnly": true
              }
            }
          },
          "recordIds": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "715f1e37-292f-4e6c-8b48-c07e1b68bccd",
              "description": "Ids of records created by the workflow."
            },
            "readOnly": true
          },
          "isRevertibleToReview": {
            "type": "boolean",
            "example": false,
            "description": "Displays if the launched workflow can be reverted back to the review step.",
            "readOnly": true
          }
        }
      },
      "WorkflowLaunchModel": {
        "description": "The user that launches the workflow is determined by the OAuth token. If the token was generated with the Authorization Code grant, the associated token user will be used. If the token was generated with the Client Credentials grant, the required `x-as-user-id` or `x-as-user-email` header will be used.",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "template": {
            "$ref": "#/components/schemas/WorkflowTemplateIdModel"
          },
          "attributes": {
            "$ref": "#/components/schemas/AttributesModel"
          },
          "staticExternalLinks": {
            "type": "array",
            "description": "Partner applications only. Read-only links back to the originating record in the partner's own system (for example, the request in a procurement tool), shown on the workflow page. Each link is set once at launch and cannot be updated or removed. Only published partner applications can send this field; any other caller receives a 403.",
            "maxItems": 5,
            "items": {
              "$ref": "#/components/schemas/StaticExternalLinkModel"
            }
          }
        },
        "required": [
          "attributes",
          "template"
        ]
      },
      "StaticExternalLinkModel": {
        "type": "object",
        "description": "A read-only link from an Ironclad workflow back to a record in a partner's system.",
        "additionalProperties": false,
        "properties": {
          "url": {
            "type": "string",
            "description": "The record's URL. Must use https and must not embed credentials. Maximum 2048 characters.",
            "maxLength": 2048,
            "example": "https://app.ramp.com/requests/0a1b2c3d"
          },
          "label": {
            "type": "string",
            "description": "Text shown for the link, such as the record's name or number. Maximum 200 characters.",
            "maxLength": 200,
            "example": "Ramp request #4021"
          }
        },
        "required": [
          "url",
          "label"
        ]
      },
      "WorkflowLaunchMultipartModel": {
        "description": "The user that launches the workflow is determined by the OAuth token. If the token was generated with the Authorization Code grant, the associated token user will be used. If the token was generated with the Client Credentials grant, the required `x-as-user-id` or `x-as-user-email` header will be used.",
        "type": "object",
        "additionalProperties": true,
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "template": {
                "$ref": "#/components/schemas/WorkflowTemplateIdModel"
              },
              "attributes": {
                "$ref": "#/components/schemas/AttributesModel"
              },
              "staticExternalLinks": {
                "type": "array",
                "description": "Partner applications only. See the `staticExternalLinks` property of the JSON launch request.",
                "maxItems": 5,
                "items": {
                  "$ref": "#/components/schemas/StaticExternalLinkModel"
                }
              }
            },
            "required": [
              "template",
              "attribute"
            ]
          }
        }
      },
      "WorkflowTemplateIdModel": {
        "type": "string",
        "description": "The identifier of the workflow template",
        "example": "600b296c3e15a234ab88f884"
      },
      "AttributesModel": {
        "type": "object",
        "description": "The data that will be used to populate the workflow's fields. Learn more about the various attributes and their associated types by viewing the [Launch a Workflow](https://developer.ironcladapp.com/docs/launch-a-workflow) guide. Your attributes will differ and include more than this simple example.",
        "properties": {
          "counterpartyName": {
            "type": "string",
            "example": "Example Company"
          },
          "draft": {
            "type": "array",
            "description": "The files for the draft documents of this workflow. For JSON requests, provide a `url`. For synchronous multipart/form-data requests, provide a `file` key whose value is the form-data field name of the uploaded file. Asynchronous launch supports JSON requests only.",
            "items": {
              "$ref": "#/components/schemas/FileUploadModel"
            }
          },
          "paperSource": {
            "type": "string",
            "description": "Indicate the type of paper source used on a contract that supports both templatized and third party paper functionality. This field is required when there exists a question for selecting paper source on the template",
            "enum": [
              "Counterparty paper",
              "Our paper"
            ]
          },
          "localLinkedRecord": {
            "type": "string",
            "description": "The readable ID (e.g. \"IC-123\") or UUID of the record to link as a related record.",
            "example": "IC-123"
          },
          "localParentRecord": {
            "type": "string",
            "description": "The readable ID (e.g. \"IC-456\") or UUID of the record to set as the parent record.",
            "example": "IC-456"
          },
          "localChildRecord": {
            "type": "string",
            "description": "The readable ID (e.g. \"IC-789\") or UUID of the record to set as the child record.",
            "example": "IC-789"
          }
        },
        "additionalProperties": true,
        "required": [
          "counterpartyName"
        ]
      },
      "FileUploadModel": {
        "oneOf": [
          {
            "type": "object",
            "description": "Provide a URL for a file representing the first uploaded version of a counterparty paper. This field is required when the template source is set to third party paper",
            "properties": {
              "url": {
                "type": "string",
                "example": "https://www.law.berkeley.edu/wp-content/uploads/2018/12/Resume-Samples-1.pdf"
              }
            },
            "required": [
              "url"
            ],
            "additionalProperties": false
          },
          {
            "type": "object",
            "description": "Only for synchronous multipart/form-data requests. Provide a `file` key whose value is the name of the form-data field containing the uploaded file. For example, a value of `file` expects a form-data field named `file`.",
            "properties": {
              "file": {
                "type": "string",
                "example": "file"
              }
            },
            "required": [
              "file"
            ],
            "additionalProperties": false
          }
        ]
      },
      "WorkflowRoleModel": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "type": "string",
            "example": "legal"
          },
          "displayName": {
            "type": "string",
            "example": "Legal"
          },
          "assignees": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/WorkflowRoleAssigneeModel"
            }
          }
        },
        "description": ""
      },
      "WorkflowRoleAssigneeModel": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "userName": {
            "type": "string",
            "example": "Boba Fett"
          },
          "userId": {
            "type": "string",
            "example": "63d415e0dd0d828c3a878548"
          },
          "email": {
            "type": "string",
            "example": "bobafett@example.com"
          }
        },
        "description": ""
      },
      "BadRequestErrorWorkflowLaunch": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "code": {
            "type": "string",
            "enum": [
              "MISSING_PARAM",
              "INVALID_PARAM",
              "INVALID_STATE"
            ],
            "example": "MISSING_PARAM",
            "readOnly": true,
            "description": "A unique code to identify why the workflow cannot be launched.",
            "title": ""
          },
          "message": {
            "type": "string",
            "example": "missing required attribute",
            "readOnly": true,
            "description": "A message indicating why the workflow cannot be launched.",
            "title": ""
          },
          "param": {
            "type": "string",
            "example": "counterpartySignerTitle",
            "readOnly": true,
            "description": "The required or expected parameter(s) that may be missing in order to launch the workflow.",
            "title": ""
          }
        },
        "required": [
          "code",
          "message",
          "param"
        ],
        "readOnly": true,
        "description": "",
        "title": "Bad Request Error - Workflow Launch"
      },
      "ConflictErrorWorkflowLaunch": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "code": {
            "type": "string",
            "enum": [
              "CONFLICT"
            ],
            "example": "CONFLICT",
            "readOnly": true,
            "description": "A unique code to identify why the workflow launch did not complete.",
            "title": ""
          },
          "message": {
            "type": "string",
            "example": "The workflow was created but its launch did not confirm completion. Inspect the returned workflow rather than retrying, which would create a second one.",
            "readOnly": true,
            "description": "A message indicating why the workflow launch did not complete.",
            "title": ""
          },
          "metadata": {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "workflowId": {
                "type": "string",
                "example": "61f8d7b3a1c4e50012a4b8d9",
                "readOnly": true,
                "description": "The id of the workflow that was created before the launch failed. Inspect this workflow rather than retrying the launch, which would create a second one.",
                "title": ""
              }
            },
            "required": [
              "workflowId"
            ],
            "readOnly": true,
            "description": "Details identifying the workflow that already exists.",
            "title": ""
          }
        },
        "required": [
          "code",
          "message",
          "metadata"
        ],
        "readOnly": true,
        "description": "",
        "title": "Conflict Error - Workflow Launch"
      }
    },
    "responses": {
      "WorkflowLaunchResponse200": {
        "description": "Launched Workflow Response.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/LaunchedWorkflow"
            }
          }
        }
      },
      "WorkflowLaunchResponse400": {
        "description": "Error Launching Workflow.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/BadRequestErrorWorkflowLaunch"
            }
          }
        }
      },
      "WorkflowLaunchResponse409": {
        "description": "The workflow was created but its launch did not complete.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ConflictErrorWorkflowLaunch"
            }
          }
        }
      }
    },
    "parameters": {
      "XAsUserEmail": {
        "name": "x-as-user-email",
        "in": "header",
        "description": "Denotes the actor of the request. When used, the API will take into account this user's permissions and access. This or `x-as-user-id` is required when the associated token was produced from the Client Credentials grant or with legacy bearer tokens on select endpoints. A token produced from the Authorization Code grant (which is already scoped to a user) may also use this header to act as a different user in the same company, provided the token carries the `identity.users.impersonate` scope and the token's own user has been granted the API User Impersonation permission. A request that sends this header without both never acts as the named user; depending on the company's configuration it either proceeds as the token's own user or is rejected with a 403. More information about [permissions](https://support.ironcladapp.com/hc/en-us/articles/23063233934999-Ironclad-Permissions-Overview).",
        "required": false,
        "schema": {
          "type": "string",
          "example": "jane.doe@test.com"
        }
      },
      "XAsUserId": {
        "name": "x-as-user-id",
        "in": "header",
        "description": "Denotes the actor of the request. When used, the API will take into account this user's permissions and access. This or `x-as-user-email` is required when the associated token was produced from the Client Credentials grant or with legacy bearer tokens on select endpoints. A token produced from the Authorization Code grant (which is already scoped to a user) may also use this header to act as a different user in the same company, provided the token carries the `identity.users.impersonate` scope and the token's own user has been granted the API User Impersonation permission. A request that sends this header without both never acts as the named user; depending on the company's configuration it either proceeds as the token's own user or is rejected with a 403. More information about [permissions](https://support.ironcladapp.com/hc/en-us/articles/23063233934999-Ironclad-Permissions-Overview).",
        "required": false,
        "schema": {
          "type": "string",
          "example": "5f0375c4cdc1927a3c5edcd3"
        }
      },
      "UseDefaultValuesOnLaunch": {
        "name": "useDefaultValues",
        "in": "query",
        "description": "If values are not specified for a given field, use the default values specified in the launch form configuration.",
        "schema": {
          "type": "boolean",
          "default": false
        }
      }
    },
    "requestBodies": {
      "WorkflowLaunch": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/WorkflowLaunchModel"
            }
          },
          "multipart/form-data": {
            "schema": {
              "$ref": "#/components/schemas/WorkflowLaunchMultipartModel"
            },
            "encoding": {
              "data": {
                "contentType": "application/json"
              },
              "file": {
                "contentType": "application/pdf, application/msword, application/vnd.openxmlformats-officedocument.wordprocessingml.document"
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      },
      "OAuth2": {
        "type": "oauth2",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://ironcladapp.com/oauth/authorize",
            "tokenUrl": "https://ironcladapp.com/oauth/token",
            "scopes": {
              "public.records.createRecords": "Create Records",
              "public.records.readRecords": "Read Records",
              "public.records.updateRecords": "Update Records",
              "public.records.updateRecordPermissions": "Update Record Permissions",
              "public.records.deleteRecords": "Delete Records",
              "public.records.readSchemas": "Read Record Schemas",
              "public.records.createAttachments": "Create Record Attachments",
              "public.records.readAttachments": "Read Record Attachments",
              "public.records.deleteAttachments": "Delete Record Attachments",
              "public.records.createSmartImportRecords": "Create Records via Smart Import",
              "public.records.readSmartImportRecords": "Read Record Import Details from Smart Import",
              "public.records.applyContractAction": "Apply Contract Actions",
              "public.webhooks.createWebhooks": "Create Webhooks",
              "public.webhooks.readWebhooks": "Read Webhooks",
              "public.webhooks.updateWebhooks": "Update Webhooks",
              "public.webhooks.deleteWebhooks": "Delete Webhooks",
              "public.workflows.createWorkflows": "Create Workflows",
              "public.workflows.readWorkflows": "Read Workflows",
              "public.workflows.updateWorkflows": "Update Workflows",
              "public.workflows.createFromSource": "Launch Workflow from Attribute Source",
              "public.workflows.updateFromSource": "Refresh Workflow from Attribute Source",
              "public.workflows.readApprovals": "Read Workflow Approvals",
              "public.workflows.updateApprovals": "Update Workflow Approvals",
              "public.workflows.readSignatures": "Read Workflow Signatures",
              "public.workflows.uploadSignedDocuments": "Upload Signed Workflow Documents",
              "public.workflows.readParticipants": "Read Workflow Participants",
              "public.workflows.readRoleAssignees": "Read Workflow Role Eligible Assignees",
              "public.workflows.updateRoleAssignment": "Update Workflow Role Assignment",
              "public.workflows.revertToReview": "Revert Workflows to Review",
              "public.workflows.cancel": "Cancel Workflows",
              "public.workflows.pauseAndResume": "Resume and Pause Workflows",
              "public.workflows.createComments": "Create Workflow Comments",
              "public.workflows.readComments": "Read Workflow Comments",
              "public.workflows.createDocuments": "Create Workflow Documents",
              "public.workflows.readDocuments": "Read Workflow Documents",
              "public.workflows.updateSignaturePacket": "Update Signature Packet",
              "public.workflows.readSchemas": "Read Workflow Schemas",
              "public.workflows.readTurnHistory": "Read Workflow Turn History",
              "public.workflows.readEmailCommunications": "Read Workflow Email Communications",
              "public.workflows.readSignStatus": "Read Sign Status",
              "public.records.createComments": "Create Workflow Comments",
              "public.export.createReports": "Create Reports",
              "public.export.readReports": "Read Reports",
              "public.workflows.createSignatureRecipientUrls": "Create Signature Request Recipient URLs",
              "public.workflows.createEmbeddableSignerUrls": "Create Embeddable Signature Request Recipient URLs",
              "public.workflows.sendSignatureRequests": "Send Signature Requests",
              "public.workflows.cancelSignatureRequests": "Cancel Signature Requests",
              "public.workflows.deleteSigners": "Delete Signers",
              "public.workflows.remindSigners": "Remind Signers",
              "public.workflows.updateSigners": "Update Signers",
              "public.entities.readRelationshipTypes": "Read Relationship Types",
              "public.entities.updateEntities": "Update Entities",
              "public.entities.deleteEntities": "Delete Entities",
              "public.entities.createEntities": "Create Entities",
              "public.entities.readEntities": "Read Entities",
              "public.obligations.readObligations": "Read Obligations",
              "public.obligations.createObligations": "Create Obligations",
              "public.obligations.updateObligations": "Update Obligations",
              "public.obligations.deleteObligations": "Delete Obligations",
              "public.workflows.scheduleSendSignatureRequest": "Schedule Send Signature Request",
              "public.workflows.updateScheduledSignatureRequest": "Update Scheduled Signature Request",
              "public.workflows.deleteScheduledSignatureRequest": "Delete Scheduled Signature Request",
              "public.signatureRequests.updateRequest": "Update Custom Signature Request Status",
              "public.search.conversational": "Run Conversational agent Search",
              "public.adapters.triggerFlow": "Trigger Adapter Flows"
            }
          },
          "clientCredentials": {
            "tokenUrl": "https://ironcladapp.com/oauth/token",
            "scopes": {
              "public.records.createRecords": "Create Records",
              "public.records.readRecords": "Read Records",
              "public.records.updateRecords": "Update Records",
              "public.records.updateRecordPermissions": "Update Record Permissions",
              "public.records.deleteRecords": "Delete Records",
              "public.records.readSchemas": "Read Record Schemas",
              "public.records.createAttachments": "Create Record Attachments",
              "public.records.readAttachments": "Read Record Attachments",
              "public.records.deleteAttachments": "Delete Record Attachments",
              "public.records.createSmartImportRecords": "Create Records via Smart Import",
              "public.records.readSmartImportRecords": "Read Record Import Details from Smart Import",
              "public.records.applyContractAction": "Apply Contract Actions",
              "public.webhooks.createWebhooks": "Create Webhooks",
              "public.webhooks.readWebhooks": "Read Webhooks",
              "public.webhooks.updateWebhooks": "Update Webhooks",
              "public.webhooks.deleteWebhooks": "Delete Webhooks",
              "public.workflows.createWorkflows": "Create Workflows",
              "public.workflows.readWorkflows": "Read Workflows",
              "public.workflows.updateWorkflows": "Update Workflows",
              "public.workflows.createFromSource": "Launch Workflow from Attribute Source",
              "public.workflows.updateFromSource": "Refresh Workflow from Attribute Source",
              "public.workflows.readApprovals": "Read Workflow Approvals",
              "public.workflows.updateApprovals": "Update Workflow Approvals",
              "public.workflows.readSignatures": "Read Workflow Signatures",
              "public.workflows.uploadSignedDocuments": "Upload Signed Workflow Documents",
              "public.workflows.readParticipants": "Read Workflow Participants",
              "public.workflows.readRoleAssignees": "Read Workflow Role Eligible Assignees",
              "public.workflows.updateRoleAssignment": "Update Workflow Role Assignment",
              "public.workflows.revertToReview": "Revert Workflows to Review",
              "public.workflows.cancel": "Cancel Workflows",
              "public.workflows.pauseAndResume": "Resume and Pause Workflows",
              "public.workflows.createComments": "Create Workflow Comments",
              "public.workflows.readComments": "Read Workflow Comments",
              "public.workflows.createDocuments": "Create Workflow Documents",
              "public.workflows.readDocuments": "Read Workflow Documents",
              "public.workflows.updateSignaturePacket": "Update Signature Packet",
              "public.workflows.readSchemas": "Read Workflow Schemas",
              "public.workflows.readTurnHistory": "Read Workflow Turn History",
              "public.workflows.readEmailCommunications": "Read Workflow Email Communications",
              "public.records.createComments": "Create Workflow Comments",
              "public.export.createReports": "Create Reports",
              "public.export.readReports": "Read Reports",
              "public.workflows.createSignatureRecipientUrls": "Create Signature Request Recipient URLs",
              "public.workflows.createEmbeddableSignerUrls": "Create Embeddable Signature Request Recipient URLs",
              "public.workflows.sendSignatureRequests": "Send Signature Requests",
              "public.workflows.cancelSignatureRequests": "Cancel Signature Requests",
              "public.workflows.deleteSigners": "Delete Signers",
              "public.workflows.remindSigners": "Remind Signers",
              "public.workflows.updateSigners": "Update Signers",
              "public.entities.readRelationshipTypes": "Read Relationship Types",
              "public.entities.updateEntities": "Update Entities",
              "public.entities.deleteEntities": "Delete Entities",
              "public.entities.createEntities": "Create Entities",
              "public.entities.readEntities": "Read Entities",
              "public.obligations.readObligations": "Read Obligations",
              "public.obligations.createObligations": "Create Obligations",
              "public.obligations.updateObligations": "Update Obligations",
              "public.obligations.deleteObligations": "Delete Obligations",
              "public.workflows.scheduleSendSignatureRequest": "Schedule Send Signature Request",
              "public.workflows.updateScheduledSignatureRequest": "Update Scheduled Signature Request",
              "public.workflows.deleteScheduledSignatureRequest": "Delete Scheduled Signature Request",
              "public.signatureRequests.updateRequest": "Update Custom Signature Request Status",
              "public.adapters.triggerFlow": "Trigger Adapter Flows"
            }
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "Workflows",
      "description": "Documentation on Ironclad Workflows."
    }
  ],
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-languages": [
      "curl",
      "node",
      "ruby",
      "javascript",
      "python"
    ]
  }
}
```